Package Details: vit 1.2-2

Git Clone URL: https://aur.archlinux.org/vit.git (read-only)
Package Base: vit
Description: A terminal interface for Taskwarrior with Vim key bindings and colorization support
Upstream URL: http://taskwarrior.org/projects/taskwarrior/wiki/Vit
Licenses: GPL3
Submitter: ISF
Maintainer: anthraxx
Last Packager: anthraxx
Votes: 27
Popularity: 2.055640
First Submitted: 2012-12-04 23:42
Last Updated: 2015-06-18 16:12

Latest Comments

anthraxx commented on 2014-06-25 00:48

- updated pkg to 1.2-2: allow arbitrary perl location

this removes the hard /usr/bin check in configure and also invoke perl via /usr/bin/env

Seninha commented on 2014-06-23 05:31

Error in build()

configure: error: can not continue... perl must be installed as /usr/bin/perl

anthraxx commented on 2014-03-08 15:11

- updated pkg to 1.2beta1 as 1.1 final seems no longer available

Yamakaky commented on 2014-03-07 19:35

The download url is incorrect, I can't find a correct one so here is the git repo :

https://git.tasktools.org/projects/EX/repos/vit/browse

anthraxx commented on 2013-11-22 09:04

@philpirj: i dont see any point in renaming this one to vit-git, this is not a VCS package and hence does not pull from git

philpirj commented on 2013-11-22 07:01

Not sure, probably it makes sense to rename this one to vit-git

anthraxx commented on 2013-10-06 20:48

adopted this package and fixed the url

duckunix commented on 2013-10-02 15:31

They moved the package on the web site. The following patch updates the PKGBUILD file to the new location:

*** PKGBUILD Wed Apr 17 19:17:07 2013
--- PKGBUILD~ Wed Oct 2 10:28:29 2013
***************
*** 8,14 ****
url="http://taskwarrior.org/projects/taskwarrior/wiki/Vit"
license=('GPL3')
depends=('perl-curses' 'task')
! source=("http://taskwarrior.org/attachments/606/$pkgname-$pkgver.tar.gz")
md5sums=('9bee5b22324d83a003c63b630ca2e912')

prepare(){
--- 8,14 ----
url="http://taskwarrior.org/projects/taskwarrior/wiki/Vit"
license=('GPL3')
depends=('perl-curses' 'task')
! source=("http://taskwarrior.org/download/$pkgname-$pkgver.tar.gz")
md5sums=('9bee5b22324d83a003c63b630ca2e912')

prepare(){


However, the git tree is on to 1.2.

ISF commented on 2013-06-27 20:27

@adb

I couldn't reproduce your error, you should report it upstream.

adb commented on 2013-06-27 01:38

A strange error happens when I try to launch vit. I'm sorry I know it's not related to the package itself.
>Fatal error: default.command ("next") must print an "ID" column

All comments